services:
    api:
        environment:
            YEETFILE_ALLOW_INSECURE_LINKS: 1
            YEETFILE_DB_HOST: db
        depends_on:
            db:
              condition: service_healthy
    db:
        image: ${YEETFILEDB_IMAGE}:${YEETFILEDB_TAG}
        container_name: ${YEETFILEDB_CONTAINER_NAME}
        restart: ${YEETFILEDB_RESTART_POLICY}
        environment:
            POSTGRES_HOST_AUTH_METHOD: ${POSTGRES_HOST_AUTH_METHOD:-md5}
            POSTGRES_USER: ${YEETFILE_DB_USER:-postgres}
            POSTGRES_PASSWORD: ${YEETFILE_DB_PASS:-postgres}
            POSTGRES_DB: ${YEETFILE_DB_NAME:-yeetfile}
        expose:
        - 5432
        networks:
            - ${YEETFILE_NETWORk_ID}